﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Locomotive
{
    internal class EntityWarmlyLocomotive : EntityLocomotive
    {
        //доп. цвет
        public Color ExtraColor { get; private set; }
        //признак наличия трубы
        public bool Pipe { get; private set; }
        //признак наличия отсека под топливо
        public bool FuelStorage { get; private set; }

        public EntityWarmlyLocomotive (int speed, float weight, Color bodyColor, Color extraColor, bool pipe, bool fuelStorage) 
            : base(speed, weight, bodyColor)
        {
            ExtraColor = extraColor;
            Pipe = pipe;
            FuelStorage = fuelStorage;
        }


    }
}
